/*
 * Syncany, www.syncany.org
 * Copyright (C) 2011 Philipp C. Heckel <philipp.heckel@gmail.com> 
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.syncany.db;

import java.io.Serializable;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import org.eclipse.persistence.annotations.Index;

/**
 *
 * @author Philipp C. Heckel <philipp.heckel@gmail.com>
 */
@Entity
public class ChunkMapper implements Serializable {    
    @Id
    @GeneratedValue(strategy= GenerationType.SEQUENCE)
    @Column(name="mapper_dbid")
    private long dbId;
    
    @Index
    @ManyToOne(cascade=CascadeType.ALL)
    @JoinColumn(name="chunk_dbid", referencedColumnName="chunk_dbid")
    private CloneChunk chunk;
    
    @Column(name="ordner_number")
    private int orderNumber;
    
    public ChunkMapper() {
    }

    public ChunkMapper(CloneChunk chunk, int orderNumber) {
        this.chunk = chunk;
        this.orderNumber = orderNumber;
    }

    public CloneChunk getChunk() {
        return chunk;
    }

    public void setChunk(CloneChunk chunk) {
        this.chunk = chunk;
    }

    public int getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(int orderNumber) {
        this.orderNumber = orderNumber;
    }

    
}
