/*
 * Syncany, www.syncany.org
 * Copyright (C) 2011 Philipp C. Heckel <philipp.heckel@gmail.com> 
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.syncany.gui.linux;

import java.io.File;
import java.io.Serializable;
import org.apache.commons.lang.StringUtils;

/**
 *
 * @author pheckel
 */
public class FolderProxy implements Serializable {

    private String remoteId;
    private File localFile;

    public FolderProxy(String remoteId, File localFile) {
        this.remoteId = remoteId;
        this.localFile = localFile;
    }

    public File getLocalFile() {
        return localFile;
    }

    public void setLocalFile(File localFile) {
        this.localFile = localFile;
    }

    public String getRemoteId() {
        return remoteId;
    }

    public void setRemoteId(String remoteId) {
        this.remoteId = remoteId;
    }

    @Override
    public String toString() {
        String eFolder = StringUtils.replaceChars(localFile.getAbsolutePath(), "\"", "\\\"");
        return "{\"folder\":\"" + eFolder + "\"}";
    }        
}
