/*
 * Syncany, www.syncany.org
 * Copyright (C) 2011 Philipp C. Heckel <philipp.heckel@gmail.com> 
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.syncany.gui.wizard;

import java.util.ResourceBundle;

import org.syncany.config.Config;
import org.syncany.config.Profile;
import org.syncany.gui.settings.SettingsPanel;
import org.syncany.gui.settings.FoldersTablePanel;

/**
 *
 * @author Philipp C. Heckel <philipp.heckel@gmail.com>
 */
public class FoldersPanel extends SettingsPanel {
    private Profile profile;
    private FoldersTablePanel pnlFolders;
    private ResourceBundle resourceBundle;
    
    /** Creates new form ProfileBasicsPanel */
    public FoldersPanel(Profile profile) {
    	resourceBundle = Config.getInstance().getResourceBundle();
        initComponents();
	
        this.profile = profile;

        pnlFolders = new FoldersTablePanel(profile);
        scrFolders.setViewportView(pnlFolders);
    }

    @Override
    public void load() {
        pnlFolders.load();
    }

    @Override
    public void save() {
        pnlFolders.save();
    }



    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
        // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
        private void initComponents() {

                jLabel1 = new javax.swing.JLabel();
                jLabel2 = new javax.swing.JLabel();
                jLabel3 = new javax.swing.JLabel();
                scrFolders = new javax.swing.JScrollPane();

                jLabel1.setFont(jLabel1.getFont().deriveFont(jLabel1.getFont().getStyle() | java.awt.Font.BOLD, jLabel1.getFont().getSize()+2));
                jLabel1.setText(resourceBundle.getString("fpw_what_to_sync"));
                jLabel1.setName("jLabel1"); // NOI18N

                jLabel2.setText(resourceBundle.getString("fpw_folder_message_part1"));
                jLabel2.setName("jLabel2"); // NOI18N

                jLabel3.setText(resourceBundle.getString("fpw_folder_message_part2"));
                jLabel3.setName("jLabel3"); // NOI18N

                scrFolders.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
                scrFolders.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
                scrFolders.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
                scrFolders.setViewportBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1));
                scrFolders.setName("scrFolders"); // NOI18N

                javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
                this.setLayout(layout);
                layout.setHorizontalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addGroup(layout.createSequentialGroup()
                                                .addGap(12, 12, 12)
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                        .addComponent(jLabel1)
                                                        .addComponent(jLabel2)
                                                        .addComponent(jLabel3)))
                                        .addGroup(layout.createSequentialGroup()
                                                .addContainerGap()
                                                .addComponent(scrFolders, javax.swing.GroupLayout.DEFAULT_SIZE, 463, Short.MAX_VALUE)))
                                .addContainerGap())
                );
                layout.setVerticalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addComponent(jLabel1)
                                .addGap(6, 6, 6)
                                .addComponent(jLabel2)
                                .addGap(4, 4, 4)
                                .addComponent(jLabel3)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(scrFolders, javax.swing.GroupLayout.PREFERRED_SIZE, 293, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addContainerGap(22, Short.MAX_VALUE))
                );
        }// </editor-fold>//GEN-END:initComponents


        // Variables declaration - do not modify//GEN-BEGIN:variables
        private javax.swing.JLabel jLabel1;
        private javax.swing.JLabel jLabel2;
        private javax.swing.JLabel jLabel3;
        private javax.swing.JScrollPane scrFolders;
        // End of variables declaration//GEN-END:variables

}
