/*
 * Syncany, www.syncany.org
 * Copyright (C) 2011 Philipp C. Heckel <philipp.heckel@gmail.com> 
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.syncany.index.chunk;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 *
 * @author Philipp C. Heckel <philipp.heckel@gmail.com>
 */


public class CustomMetaChunk extends MetaChunk {
    private OutputStream os;
    
    public CustomMetaChunk(int minSize, OutputStream os) {
        super(minSize);
        this.os = os;
    }            

    @Override
    public void close() throws IOException {
        os.close();
    }    


    @Override
    public void write(Chunk chunk) throws IOException {
        chunks.add(chunk);
        size += chunk.getSize();
        
        os.write(chunk.getSize());
        os.write(chunk.getChecksum().length);
        os.write(chunk.getChecksum());
        os.write(chunk.getContents(), 0, chunk.getSize());  
    }
    

   /* public InputStream getContents() {
        return new CustomMetaChunkInputStream(this);
    }*/    
    
/*    public class CustomMetaChunkInputStream extends InputStream {
        private CustomMetaChunk metaChunk;
        private Chunk currentChunk;
        private int currentIndex;
        private int currentPos;

        public CustomMetaChunkInputStream(CustomMetaChunk metaChunk) {
            this.metaChunk = metaChunk;            

            this.currentIndex = 0;
            this.currentPos = 0;
            this.currentChunk = metaChunk.getChunks().get(currentIndex);
        }

        @Override
        public int read() throws IOException {
            if (currentChunk == null || currentPos == currentChunk.getSize()-1) {
                if (currentChunk == null || currentIndex == metaChunk.getChunks().size()-1) {
                    return -1;                           
                }

                currentIndex += 1;
                currentPos = 0;
                currentChunk = metaChunk.getChunks().get(currentIndex);
            }

            return 0xff & (currentChunk.getContents())[currentPos++];            
        }
    }*/
}

