/*
 * Syncany, www.syncany.org
 * Copyright (C) 2011 Philipp C. Heckel <philipp.heckel@gmail.com> 
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.syncany.test;

import java.io.File;
import java.util.Map;
import org.syncany.config.Config;
import org.syncany.connection.plugins.PluginInfo;
import org.syncany.connection.plugins.Plugins;
import org.syncany.connection.plugins.TransferManager;
import org.syncany.connection.plugins.dropbox.DropboxConnection;
import org.syncany.connection.plugins.dropbox.DropboxTransferManager;
import org.syncany.watch.remote.files.RemoteFile;

/**
 *
 * @author Philipp C. Heckel <philipp.heckel@gmail.com>
 */
public class TestDropbox {
    public static void main(String[] args) throws Exception {
        Config.getInstance().load();
        
        PluginInfo plugin = Plugins.get("dropbox");
        DropboxConnection c = (DropboxConnection) plugin.createConnection();
        
        c.setConsumerKey("anp9wz...");
        c.setConsumerSecret("...");
        c.setAccessTokenKey("...");
        c.setAccessTokenSecret("...");
        c.setPath("/SYNCANY/");

        
        
        
        DropboxTransferManager tm = (DropboxTransferManager) c.createTransferManager();
        System.out.println("login 1");
        try {
            tm.connect();
        }
        catch (Exception e) {            
            if (tm.isUserLoginRequired()) {
                System.out.println("user login required: "+tm.getUserLoginURL());
                System.in.read();
            }
        }
        
        System.out.println("user login required : "+tm.isUserLoginRequired());
        
        //Thread.sleep(20000);
        
        System.out.println("login 2");
        tm.connect();
        
        System.out.println("access token = "+c.getAccessTokenKey());
        System.out.println("access secret = "+c.getAccessTokenSecret());

        
        tm.upload(new File("/etc/hosts"), new RemoteFile("XXXXXXXXXXXX"));
        tm.download(new RemoteFile("hosts"), new File("/home/pheckel/hosts"));
        //tm.delete(new RemoteFile("hosts"));
        Map<String, RemoteFile> list = tm.list();
        
        for (RemoteFile f : list.values()) {
            System.out.println(f);

        }
        
    }
}
